Divi vārtejas ar vienu un to pašu iepriekš koplietotu atslēgu pabeidz rokasspiedienu, un pakešu ieraksts nerāda nevienu noslēpumu, kas šķērso līniju. Tā ir daļa, ko cilvēki atceras. Interesantā daļa ir tas, ko katra versija faktiski aprēķina, lai pierādītu, ka noslēpums ir zināms, jo IKEv1 un IKEv2 veido šo pierādījumu no dažādiem datiem un, to darot, atklāj atšķirīgu informāciju. Izlasiet abus pēdas ierakstus līdzās, un atšķirība pārstāj būt kosmētiska.

Kas pierādījumam jāsasniedz

Diffie-Hellman dod abām pusēm kopīgu vērtību, kuras publiskās daļas var aprēķināt arī jebkurš novērotājs. Pati par sevi tā neko nepierāda par identitāti: uzbrucējam, kurš pabeidz atslēgu apmaiņu, ir tāda pati kopīgā vērtība kā jūsu vārtejai. Autentifikācijas solis pastāv, lai piesaistītu šo apmaiņu noslēpumam, kas ir tikai paredzētajām pusēm, un identitātēm un parametriem, par kuriem tās vienojās.

Tieši šī piesaiste ir iemesls, kāpēc kopsavilkums aptver vairāk nekā atslēgu. Ja tas aptvertu tikai noslēpumu, uzbrucējs varētu to atkārtot citā apmaiņā ar citām identitātēm vai priekšlikumiem.

IKEv1 Main Mode: atvasināt SKEYID un pēc tam to pierādīt

Main Mode izpilda sešus ziņojumus. Pirmais pāris pārrunā drošības asociāciju, otrais apmainās ar publiskajām Diffie-Hellman vērtībām un nonce vērtībām, bet trešais nes identitātes un autentifikācijas kopsavilkumus tikko izveidotajā šifrējumā. RFC 2409 definē konstrukciju: ar iepriekš koplietotu atslēgu SKEYID tiek atvasināts no noslēpuma un abām nonce vērtībām, bet vēlākais atslēgu materiāls no SKEYID, Diffie-Hellman kopīgās vērtības, sīkfailiem un konstantēm.

Kopsavilkums piektajā un sestajā ziņojumā tiek aprēķināts pār Diffie-Hellman vērtību, abiem sīkfailiem, priekšlikumu un sūtītāja identitāti, izmantojot SKEYID kā atslēgu. Uztvērējs to pārrēķina ar savu konfigurēto noslēpumu. Neatbilstība pārtrauc apmaiņu, un noslēpums nekad nav lietderīgā slodze.

Aggressive Mode saspiež to pašu darbu trīs ziņojumos, kas nozīmē, ka identitātes un autentifikācijas kopsavilkums ceļo pirms šifrēta kanāla izveides. Tā ir reāla atklāšana, ja noslēpumu var uzminēt, un tas ir atsevišķs jautājums no tā, vai noslēpums tika pārsūtīts. IKEv1 ir novecojis saskaņā ar RFC 9395, tāpēc vecs pēdas ieraksts ir diagnostikas vingrinājums, nevis ieviešanas mērķis.

IKEv2: cits atvasinājums un cita AUTH lietderīgā slodze

IKEv2 neizmanto IKEv1 atslēgu grafiku. Sākotnējās IKE atslēgas nāk no sēklas, kas veidota no nonce vērtībām un Diffie-Hellman kopīgās vērtības, un atvasinātās drošības asociācijas izriet no tās. Iepriekš koplietotā atslēga sēklu neietekmē vispār.

Tad autentifikācija parādās kā AUTH lietderīgā slodze. Koplietotas atslēgas autentifikācijai RFC 7296 nosaka polsterētu noslēpuma formu, kas iegūta, jaucot noslēpumu ar fiksēto virkni Key Pad for IKEv2, un pēc tam jaucot parakstītos apmaiņas datus un identitāti ar šo polsterēto atslēgu. Pārbaudītājs var atjaunot to pašu vērtību; novērotājs nevar, bez noslēpuma.

Ievērojiet, kas mainījās. IKEv1 noslēpums ir iestrādāts atslēgu grafikā pirms autentifikācijas kopsavilkuma rašanās; IKEv2 atslēgu grafiks ir neatkarīgs no noslēpuma, un pierādījums ir atsevišķa lietderīgā slodze, kas saistīta ar parakstītajiem oktetiem. Tā pati konceptuālā garantija, cita mehānika, un tāpēc parametru nosaukumi un ieraksti nesakrīt viens pret vienu.

Ko novērotājs faktiski uzzina

Diffie-Hellman publiskās vērtības, priekšlikumi, nonce vērtības un sīkfaili ir redzami abās versijās. Identitātes ir redzamas IKEv1 Aggressive Mode un aizsargātas citos gadījumos. Noslēpums nekad nav redzams.

Pēdējam teikumam ir ierobežojums, ko vērts pieminēt. Vāju, cilvēka izvēlētu noslēpumu var uzbrukt ar minēšanu: uzbrucējs aprēķina, kāda būtu autentifikācijas vērtība kandidāta noslēpumam, un salīdzina. IKEv1 Aggressive Mode padara to vislētāko, jo pierādījums ir atklātā tekstā, un standarti kopumā brīdina par zemas entropijas noslēpumiem. Noslēpuma nekad nenostūtīšana nav tas pats, kas padarīt sliktu noslēpumu drošu.

Ko darīt ar salīdzinājumu

Izmantojiet vienu unikālu noslēpumu katram pušu pārim, ģenerējiet to no nejauša avota un mainiet to pa to pašu nodrošināšanas ceļu, kas to izplatīja. Ja noslēpums glabājas konfigurācijas veidnē, kas tiek nosūtīta uz katru filiāli, kompromiss vienā vietā ir kompromiss visur.

Dodiet priekšroku autentifikācijai ar sertifikātiem, kur darbības izmaksas ir pieņemamas, jo tā novērš koplietotā noslēpuma minēšanas problēmu un piešķir katrai pusei atšķirīgu identitāti. Kur iepriekš koplietotā atslēga paliek, turiet to garu, šauri definētu un uzskatiet IKE versiju par drošības lēmumu, nevis savietojamības detaļu.

Saistītie raksti